Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001054Anope Stable (1.8.x series)Otherpublic2009-03-14 09:142010-09-12 09:56
Reportermidnighttiger 
Assigned Toadam@anope.org 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOtherOSLinuxOS Version
Product VersionGIT (include a /version response in report) 
Target VersionFixed in Version 
Summary0001054: Anope shows password in ignored messages sent to logchan..
DescriptionSummary pretty much sums it up ;) When you have a user on the ignore list, all messages he sends to services are logged in the logchan like so:

[21:08:45] <&Global> Ignored message from Mattimeo: ":Mattimeo PRIVMSG chanserv@services.storm.org :invite #dvkmembers"
[21:08:49] <&Global> Ignored message from Mattimeo: ":Mattimeo PRIVMSG chanserv@services.storm.org :invite #dvkcommand"

Unfortunately, it also logs ignored /ns identify messages, and it displays the users password..

-midnight.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005598)
chaz (administrator)
2010-09-12 09:56

Issues marked as resolved for a period of time without argument will be closed.

- Issue History
Date Modified Username Field Change
2009-03-14 09:21 chaz Status UNCONFIRMED => NEW
2009-03-14 09:21 chaz CC => chaz
2009-03-14 09:21 chaz AssignedTo qa@anope.org => dev@anope.org
2009-03-14 09:21 chaz Ever Confirmed 0 => 1
2009-03-16 23:57 CyberBotX CC => CyberBotX
2009-03-18 15:19 chaz Status NEW => ASSIGNED
2009-03-18 15:19 chaz AssignedTo dev@anope.org => adam@anope.org
2009-03-18 18:21 chaz Status ASSIGNED => RESOLVED
2009-03-18 18:21 chaz Resolution => FIXED
2010-01-10 21:22 CyberBotX Source_changeset_attached trunk r2173 =>
2010-01-10 21:22 CyberBotX Source_changeset_attached trunk r2209 =>
2010-01-13 20:45 CyberBotX Source_changeset_attached trunk r2173 =>
2010-01-13 20:45 CyberBotX Source_changeset_attached trunk r2209 =>
2010-09-12 09:56 chaz Note Added: 0005598
2010-09-12 09:56 chaz Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker